Subject: bug#72686: Impossible to remove all offload machines

From: Tomas Volf <[email-masked]>
Date: Sun, 15 Sep 2024 21:06:13 +0200

Hello,

Ian Eure <[email-masked]> writes:

> Disregard this, I continued thinking after sending the email (as one does) and
> realized that any managed file will be a link into the store -- so if the system
> is reconfigured with no build-machines or channels *and* the corresponding file
> is a store link, it should be removed; otherwise, it should remain untouched. I
> can work with this.

Will this correctly handle cases where user is managing the file using
for example extra-special-file?

I wonder whether fat-warning approach would not be better.

Tomas

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.